import httpRequest from '@/utils/axios'
import type { ExperimentCreateItem } from './types'

// 获取实验列表
export function getExperimentList(params?: { name?: string; page?: number; 'per-page'?: number }) {
  return httpRequest.get('/api/resource/v1/backend/experiment/list', { params })
}

// 创建实验
export function createExperiment(data: ExperimentCreateItem) {
  return httpRequest.post('/api/resource//v1/backend/experiment/create', data)
}

// 获取实验课程列表
export function getExperimentCourseList(params: { organ_id?: string }) {
  return httpRequest.get('/api/resource/v1/backend/experiment/courses', { params })
}

// 获取实验指导老师列表
export function getExperimentTeacherList(params: { organ_id?: string }) {
  return httpRequest.get('/api/resource/v1/backend/experiment/teachers', { params })
}
